/* reverses the value of the pixels */

#include <stdio.h>
#include <rasterfile.h>
#include <sys/types.h>
#include <pixrect/pixrect.h>
#include <pixrect/pr_io.h>

extern Pixrect *mem_create();

main(argc,argv)
int argc;
char *argv[];
{
Pixrect *image, *d_image;
FILE *input = stdin;
FILE *output = stdout;
colormap_t colormap;
int x,y;
colormap.type = RMT_NONE;

if( !(image = pr_load(input,&colormap)))
	exit(1);

if(colormap.type == RMT_EQUAL_RGB)
	exit(2);

x =image->pr_size.x;
y =image->pr_size.y;

d_image = mem_create( x,y,1 );

if( pr_rop(d_image,0,0,x,y,PIX_NOT(PIX_SRC),image,0,0) ) 
    fprintf(stderr,"invert: rasterop failed\n");

if ( pr_dump(d_image,output,colormap,RT_BYTE_ENCODED,0))
    fprintf(stderr,"invert: failed\n");
exit(0);
}

