#include <stdio.h>
#include <rasterfile.h>
#include <pixrect/pixrect.h>
#include <pixrect/pr_io.h>
/* reads a raster file (either standard or compressed) 
   in gray scle and compresses */

main(argc,argv)
int argc;
char *argv[];
{
Pixrect *image;
FILE *input = stdin;
FILE *output = stdout;
colormap_t colormap;

colormap.type = RMT_NONE;
  
if(!(image = pr_load(input,&colormap))) {
  fprintf(stderr,"Load failure: File not an image?!\n");
  exit(1);
  }

if( (pr_dump(image,output,&colormap,RT_BYTE_ENCODED,0)) ) {
	  fprintf(stderr,"file NOT written!");
	  exit(2);
	  }
exit(0);
}
