#ifndef	nxscan_HEADER
#define	nxscan_HEADER

extern Attr_attribute	INSTANCE;

extern Xv_opaque	nxscan_file_menu_create();
extern Xv_opaque	nxscan_magnify_menu_create();
extern Xv_opaque	nxscan_options_menu_create();

typedef struct {
	Xv_opaque	win;
	Xv_opaque	controls;
	Xv_opaque	file_button;
	Xv_opaque	mag_button;
	Xv_opaque	options_button;
	Xv_opaque	message9;
	Xv_opaque	message8;
	Xv_opaque	message1;
	Xv_opaque	message5;
	Xv_opaque	message2;
	Xv_opaque	message3;
	Xv_opaque	message4;
	Xv_opaque	message6;
	Xv_opaque	message7;
	Xv_opaque	canvas1;
	Xv_opaque	canvas;
} nxscan_win_objects;

extern nxscan_win_objects	*nxscan_win_objects_initialize();

extern Xv_opaque	nxscan_win_win_create();
extern Xv_opaque	nxscan_win_controls_create();
extern Xv_opaque	nxscan_win_file_button_create();
extern Xv_opaque	nxscan_win_mag_button_create();
extern Xv_opaque	nxscan_win_options_button_create();
extern Xv_opaque	nxscan_win_message9_create();
extern Xv_opaque	nxscan_win_message8_create();
extern Xv_opaque	nxscan_win_message1_create();
extern Xv_opaque	nxscan_win_message5_create();
extern Xv_opaque	nxscan_win_message2_create();
extern Xv_opaque	nxscan_win_message3_create();
extern Xv_opaque	nxscan_win_message4_create();
extern Xv_opaque	nxscan_win_message6_create();
extern Xv_opaque	nxscan_win_message7_create();
extern Xv_opaque	nxscan_win_canvas1_create();
extern Xv_opaque	nxscan_win_canvas_create();

typedef struct {
	Xv_opaque	locate_popup;
	Xv_opaque	locate_canvas;
} nxscan_locate_popup_objects;

extern nxscan_locate_popup_objects	*nxscan_locate_popup_objects_initialize();

extern Xv_opaque	nxscan_locate_popup_locate_popup_create();
extern Xv_opaque	nxscan_locate_popup_locate_canvas_create();

typedef struct {
	Xv_opaque	tools_popup;
	Xv_opaque	controls1;
	Xv_opaque	pen_arc_but;
	Xv_opaque	clear_all_points_but;
	Xv_opaque	setting3;
	Xv_opaque	setting2;
	Xv_opaque	restore_but;
	Xv_opaque	invert_pixels;
	Xv_opaque	message10;
	Xv_opaque	message11;
	Xv_opaque	message12;
	Xv_opaque	slider2;
	Xv_opaque	dig_but1;
	Xv_opaque	undo_user_p;
	Xv_opaque	undo_add;
	Xv_opaque	smoothtrace;
} nxscan_tools_popup_objects;

extern nxscan_tools_popup_objects	*nxscan_tools_popup_objects_initialize();

extern Xv_opaque	nxscan_tools_popup_tools_popup_create();
extern Xv_opaque	nxscan_tools_popup_controls1_create();
extern Xv_opaque	nxscan_tools_popup_pen_arc_but_create();
extern Xv_opaque	nxscan_tools_popup_clear_all_points_but_create();
extern Xv_opaque	nxscan_tools_popup_setting3_create();
extern Xv_opaque	nxscan_tools_popup_setting2_create();
extern Xv_opaque	nxscan_tools_popup_restore_but_create();
extern Xv_opaque	nxscan_tools_popup_invert_pixels_create();
extern Xv_opaque	nxscan_tools_popup_message10_create();
extern Xv_opaque	nxscan_tools_popup_message11_create();
extern Xv_opaque	nxscan_tools_popup_message12_create();
extern Xv_opaque	nxscan_tools_popup_slider2_create();
extern Xv_opaque	nxscan_tools_popup_dig_but1_create();
extern Xv_opaque	nxscan_tools_popup_undo_user_p_create();
extern Xv_opaque	nxscan_tools_popup_undo_add_create();
extern Xv_opaque	nxscan_tools_popup_smoothtrace_create();

typedef struct {
	Xv_opaque	user_termpane;
	Xv_opaque	termpane1;
} nxscan_user_termpane_objects;

extern nxscan_user_termpane_objects	*nxscan_user_termpane_objects_initialize();

extern Xv_opaque	nxscan_user_termpane_user_termpane_create();
extern Xv_opaque	nxscan_user_termpane_termpane1_create();

typedef struct {
	Xv_opaque	save_popup;
	Xv_opaque	save_controls_popoup;
	Xv_opaque	selection_s_popup;
	Xv_opaque	save_message_popup;
} nxscan_save_popup_objects;

extern nxscan_save_popup_objects	*nxscan_save_popup_objects_initialize();

extern Xv_opaque	nxscan_save_popup_save_popup_create();
extern Xv_opaque	nxscan_save_popup_save_controls_popoup_create();
extern Xv_opaque	nxscan_save_popup_selection_s_popup_create();
extern Xv_opaque	nxscan_save_popup_save_message_popup_create();
#endif
